import { Injectable } from "@angular/core";

@Injectable({
  providedIn: "root",
})
export class ToolService {
  menu: any = JSON.parse(localStorage.getItem("menu")) || []; //菜单
  constructor() {}
  // 获取权限中的院区
  getHospitalList() {
    return (
      JSON.parse(localStorage.getItem("user")).infoPermission.hospitals || []
    );
  }
  // 获取权限中的分组
  getGroupList() {
    return JSON.parse(localStorage.getItem("user")).infoPermission.groups || [];
  }
  // 获取当前院区
  getCurrentHospital() {
    return JSON.parse(localStorage.getItem("user")).user.currentHospital
      ? JSON.parse(localStorage.getItem("user")).user.currentHospital
      : JSON.parse(localStorage.getItem("user")).infoPermission.hospitals[0];
  }
  //获取当前菜单的权限
  initCoopBtns(route) {
    let link = route.parent.snapshot.routeConfig.path; //当前路由
    let secondMenus = []; // 二级菜单
    let jurisdiction = []; //当前菜单的权限列表
    let coopBtns: any = {}; // 初始化权限
    this.menu.forEach((e) => {
      e.childrens.forEach((el) => {
        secondMenus.push(el);
      });
    });
    secondMenus.forEach((e) => {
      if (e.link == link) {
        jurisdiction = e.childrens || []; //匹配路由后，取得对应的权限
      }
    });
    jurisdiction.forEach((e) => {
      switch (e.link) {
        case "look":
          coopBtns.look = true; //查看
          break;
        case "add":
          coopBtns.add = true; //新增
          break;
        case "edit":
          coopBtns.edit = true; //编辑
          break;
        case "del":
          coopBtns.del = true; //删除
          break;
      }
    });
    console.log(coopBtns);
    return coopBtns;
  }
}
